=== modified file '.bzrignore'
--- .bzrignore	2009-05-04 18:05:35 +0000
+++ .bzrignore	2009-05-07 21:25:23 +0000
@@ -26,13 +26,13 @@
 sql/Makefile.in
 sql/share/Makefile.in
 sql-common/Makefile.in
-storage/Makefile.in
-storage/archive/Makefile.in
-storage/blackhole/Makefile.in
-storage/csv/Makefile.in
-storage/heap/Makefile.in
-storage/innobase/Makefile.in
-storage/myisam/Makefile.in
+plugin/Makefile.in
+plugin/archive/Makefile.in
+plugin/blackhole/Makefile.in
+plugin/csv/Makefile.in
+plugin/heap/Makefile.in
+plugin/innobase/Makefile.in
+plugin/myisam/Makefile.in
 strings/Makefile.in
 strings/tests/Makefile.in
 support-files/Makefile.in
@@ -101,13 +101,13 @@
 server/share/spanish/
 server/share/swedish/
 server/share/ukrainian/
-storage/archive/archive_performance
-storage/archive/archive_reader
-storage/archive/archive_test
-storage/archive/concurrency_test
-storage/myisam/myisamchk
-storage/myisam/myisamlog
-storage/myisam/myisampack
+plugin/archive/archive_performance
+plugin/archive/archive_reader
+plugin/archive/archive_test
+plugin/archive/concurrency_test
+plugin/myisam/myisamchk
+plugin/myisam/myisamlog
+plugin/myisam/myisampack
 support-files/drizzle-log-rotate
 support-files/drizzle.server
 support-files/libdrizzle.pc

=== modified file 'configure.ac'
--- configure.ac	2009-05-04 18:00:18 +0000
+++ configure.ac	2009-05-09 16:43:18 +0000
@@ -491,13 +491,31 @@
 # Check for libpcre
 #--------------------------------------------------------------------
 
-AC_LIB_HAVE_LINKFLAGS(pcre,, [#include <pcre.h>], [pcre *re= NULL])
-AS_IF([test "x$ac_cv_libpcre" = "xno"],[
+AC_LIB_HAVE_LINKFLAGS(pcre,,
+[#include <pcre.h>],
+[
+  pcre *re= NULL;
+  pcre_version();
+])
+AS_IF([test "x$ac_cv_libpcre" = "xno"],
+[
   unset ac_cv_libpcre
-  AC_LIB_HAVE_LINKFLAGS(pcre,, [#include <pcre/pcre.h>], [pcre *re= NULL])
+  unset HAVE_LIBPCRE
+  unset LIBPCRE
+  unset LIBPCRE_PREFIX
+  unset LTLIBPCRE
+  AC_LIB_HAVE_LINKFLAGS(pcre,,
+  [#include <pcre/pcre.h>],
+  [
+    pcre *re= NULL;
+    pcre_version();
+  ])
   AS_IF([test "x$ac_cv_libpcre" = "xno"],
-        [AC_MSG_ERROR([libpcre is required for Drizzle. On Debian this can be found in libpcre3-dev. On RedHat this can be found in pcre-devel.])]
-        [AC_DEFINE(PCRE_HEADER,[<pcre/pcre.h>],[Location of pcre header])])
+  [
+    AC_MSG_ERROR([libpcre is required for Drizzle. On Debian this can be found in libpcre3-dev. On RedHat this can be found in pcre-devel.])
+  ],[
+    AC_DEFINE(PCRE_HEADER,[<pcre/pcre.h>],[Location of pcre header])
+  ])
 ],[
   AC_DEFINE(PCRE_HEADER,[<pcre.h>],[Location of pcre header])
 ])

=== modified file 'drizzled/Makefile.am'
--- drizzled/Makefile.am	2009-05-10 00:06:55 +0000
+++ drizzled/Makefile.am	2009-05-11 23:55:31 +0000
@@ -359,7 +359,7 @@
 		 $(LDADD) $(LIBUUID) ${top_builddir}/gnulib/libgnu.la \
 		 $(LIBDL_LIBS) $(LIBPROTOBUF) $(LIBPCRE) $(LIBTBB) \
 		 $(DRIZZLED_PLUGIN_DEP_LIBS)
-drizzled_DEPENDENCIES= ${noinst_LTLIBRARIES}
+drizzled_DEPENDENCIES= ${noinst_LTLIBRARIES} $(drizzled_plugin_libs)
 
 drizzled_LDFLAGS =
 

=== added directory 'plugin/gearman_udf'
=== added file 'plugin/gearman_udf/AUTHORS'
--- plugin/gearman_udf/AUTHORS	1970-01-01 00:00:00 +0000
+++ plugin/gearman_udf/AUTHORS	2009-04-25 19:13:30 +0000
@@ -0,0 +1,1 @@
+Eric Day <eday@oddments.org>

=== added file 'plugin/gearman_udf/function_map.cc'
--- plugin/gearman_udf/function_map.cc	1970-01-01 00:00:00 +0000
+++ plugin/gearman_udf/function_map.cc	2009-05-11 20:54:50 +0000
@@ -0,0 +1,125 @@
+/* Copyright (C) 2009 Sun Microsystems
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; version 2 of the License.
+
+   This program is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this program; if not, write to the Free Software
+   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA */
+
+#include "function_map.h"
+#include <string.h>
+#include <stdlib.h>
+
+using namespace std;
+
+static GearmanFunctionMap _functionMap;
+
+GearmanFunctionMap& GetFunctionMap(void)
+{
+  return _functionMap;
+}
+
+GearmanFunctionMap::GearmanFunctionMap()
+{
+  (void) pthread_mutex_init(&lock, NULL);
+}
+
+GearmanFunctionMap::~GearmanFunctionMap()
+{
+  map<string, gearman_client_st>::iterator x;
+
+  for (x= functionMap.begin(); x != functionMap.end(); x++)
+    gearman_client_free(&((*x).second));
+
+  (void) pthread_mutex_destroy(&lock);
+}
+
+bool GearmanFunctionMap::add(string function, string servers)
+{
+  map<string, gearman_client_st>::iterator x;
+  string host;
+  string port;
+  size_t begin_pos= 0;
+  size_t end_pos;
+  size_t port_pos;
+
+  pthread_mutex_lock(&lock);
+
+  x= functionMap.find(function);
+  if (x == functionMap.end())
+  {
+    if (gearman_client_create(&(functionMap[function])) == NULL)
+    {
+      pthread_mutex_unlock(&lock);
+      return false;
+    }
+  }
+
+  while (1)
+  {
+    end_pos= servers.find(',', begin_pos);
+    if (end_pos == string::npos)
+      host= servers.substr(begin_pos);
+    else
+      host= servers.substr(begin_pos, end_pos - begin_pos);
+
+    port_pos= host.find(':');
+    if (port_pos == string::npos)
+      port.clear();
+    else
+    {
+      port= host.substr(port_pos + 1);
+      host[port_pos]= 0;
+    }
+
+    if (gearman_client_add_server(&(functionMap[function]), host.c_str(),
+                                  port.size() == 0 ?
+                                  0 : atoi(port.c_str())) != GEARMAN_SUCCESS)
+    {
+      pthread_mutex_unlock(&lock);
+      return false;
+    }
+
+    if (end_pos == string::npos)
+      break;
+
+    begin_pos= end_pos + 1;
+  }
+
+  pthread_mutex_unlock(&lock);
+  return true;
+}
+
+bool GearmanFunctionMap::get(string function, gearman_client_st *client)
+{
+  map<string, gearman_client_st>::iterator x;
+
+  pthread_mutex_lock(&lock);
+
+  x= functionMap.find(function);
+  if (x == functionMap.end())
+  {
+    x= functionMap.find(string(""));
+    if (x == functionMap.end())
+    {
+      pthread_mutex_unlock(&lock);
+      return false;
+    }
+  }
+
+  if (gearman_client_clone(client, &((*x).second)) == NULL)
+  {
+    pthread_mutex_unlock(&lock);
+    return false;
+  }
+
+  pthread_mutex_unlock(&lock);
+  return true;
+}

=== added file 'plugin/gearman_udf/function_map.h'
--- plugin/gearman_udf/function_map.h	1970-01-01 00:00:00 +0000
+++ plugin/gearman_udf/function_map.h	2009-05-11 20:54:50 +0000
@@ -0,0 +1,33 @@
+/* Copyright (C) 2009 Sun Microsystems
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; version 2 of the License.
+
+   This program is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this program; if not, write to the Free Software
+   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA */
+
+#include <map>
+#include <string>
+#include <libgearman/gearman.h>
+#include <pthread.h>
+
+class GearmanFunctionMap
+{
+  std::map<std::string, gearman_client_st> functionMap;
+  pthread_mutex_t lock;
+
+public:
+  GearmanFunctionMap();
+  ~GearmanFunctionMap();
+  bool add(std::string function, std::string servers);
+  bool get(std::string function, gearman_client_st *client);
+};
+
+GearmanFunctionMap& GetFunctionMap(void);

=== added file 'plugin/gearman_udf/gearman_udf.cc'
--- plugin/gearman_udf/gearman_udf.cc	1970-01-01 00:00:00 +0000
+++ plugin/gearman_udf/gearman_udf.cc	2009-05-11 20:54:50 +0000
@@ -0,0 +1,69 @@
+/* Copyright (C) 2009 Sun Microsystems
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; version 2 of the License.
+
+   This program is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this program; if not, write to the Free Software
+   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA */
+
+#include <drizzled/server_includes.h>
+#include <drizzled/sql_udf.h>
+
+#include "gman_servers_set.h"
+#include "gman_do.h"
+
+using namespace std;
+
+Create_function<Item_func_gman_servers_set> gman_servers_set(string("gman_servers_set"));
+Create_function<Item_func_gman_do> gman_do(string("gman_do"));
+Create_function<Item_func_gman_do_high> gman_do_high(string("gman_do_high"));
+Create_function<Item_func_gman_do_low> gman_do_low(string("gman_do_low"));
+Create_function<Item_func_gman_do_background> gman_do_background(string("gman_do_background"));
+Create_function<Item_func_gman_do_high_background> gman_do_high_background(string("gman_do_high_background"));
+Create_function<Item_func_gman_do_low_background> gman_do_low_background(string("gman_do_low_background"));
+
+static int gearman_udf_plugin_init(PluginRegistry &registry)
+{
+  registry.add(&gman_servers_set);
+  registry.add(&gman_do);
+  registry.add(&gman_do_high);
+  registry.add(&gman_do_low);
+  registry.add(&gman_do_background);
+  registry.add(&gman_do_high_background);
+  registry.add(&gman_do_low_background);
+  return 0;
+}
+
+static int gearman_udf_plugin_deinit(PluginRegistry &registry)
+{
+  registry.remove(&gman_do_low_background);
+  registry.remove(&gman_do_high_background);
+  registry.remove(&gman_do_background);
+  registry.remove(&gman_do_low);
+  registry.remove(&gman_do_high);
+  registry.remove(&gman_do);
+  registry.remove(&gman_servers_set);
+  return 0;
+}
+
+drizzle_declare_plugin(gearman_udf)
+{
+  "gearman_udf",
+  "0.1",
+  "Eric Day",
+  "Gearman Client UDFs",
+  PLUGIN_LICENSE_BSD,
+  gearman_udf_plugin_init, /* Plugin Init */
+  gearman_udf_plugin_deinit, /* Plugin Deinit */
+  NULL,   /* status variables */
+  NULL,   /* system variables */
+  NULL    /* config options */
+}
+drizzle_declare_plugin_end;

=== added file 'plugin/gearman_udf/gman_do.cc'
--- plugin/gearman_udf/gman_do.cc	1970-01-01 00:00:00 +0000
+++ plugin/gearman_udf/gman_do.cc	2009-05-11 20:54:50 +0000
@@ -0,0 +1,143 @@
+/* Copyright (C) 2009 Sun Microsystems
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; version 2 of the License.
+
+   This program is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this program; if not, write to the Free Software
+   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA */
+
+#include "gman_do.h"
+#include "function_map.h"
+
+using namespace std;
+
+extern "C"
+{
+  static void *_do_malloc(size_t size, void *arg)
+  {
+    Item_func_gman_do *item= (Item_func_gman_do *)arg;
+    return item->realloc(size);
+  }
+}
+
+Item_func_gman_do::~Item_func_gman_do()
+{
+  if (options & GMAN_DO_OPTIONS_CLIENT)
+    gearman_client_free(&client);
+}
+
+String *Item_func_gman_do::val_str(String *str)
+{
+  String *function;
+  String *res;
+  const char *unique;
+  const char *workload;
+  size_t workload_size;
+  size_t result_size;
+  gearman_return_t ret;
+  char job_handle[GEARMAN_JOB_HANDLE_SIZE];
+
+  if (arg_count < 1 || arg_count > 3 || !(function= args[0]->val_str(str)))
+  {
+    null_value= 1;
+    return NULL;
+  }
+
+  if (arg_count > 1 && (res= args[1]->val_str(str)) != NULL)
+  {
+    workload= res->ptr();
+    workload_size= res->length();
+  }
+  else
+  {
+    workload= NULL;
+    workload_size= 0;
+  }
+
+  if (arg_count == 3 && (res= args[2]->val_str(str)) != NULL)
+    unique= res->ptr();
+  else
+    unique= NULL;
+
+  if (!(options & GMAN_DO_OPTIONS_CLIENT))
+  {
+    if (!GetFunctionMap().get(string(function->ptr()), &client))
+    {
+      null_value= 1;
+      return NULL;
+    }
+
+    gearman_client_set_workload_malloc(&client, _do_malloc, this);
+    options= (gman_do_options_t)(options | GMAN_DO_OPTIONS_CLIENT);
+  }
+
+  if (options & GMAN_DO_OPTIONS_BACKGROUND)
+  {
+    if (options & GMAN_DO_OPTIONS_HIGH)
+    {
+      ret= gearman_client_do_high_background(&client, function->ptr(), unique,
+                                             workload, workload_size,
+                                             job_handle);
+    }
+    else if (options & GMAN_DO_OPTIONS_LOW)
+    {
+      ret= gearman_client_do_low_background(&client, function->ptr(), unique,
+                                            workload, workload_size,
+                                            job_handle);
+    }
+    else
+    {
+      ret= gearman_client_do_background(&client, function->ptr(), unique,
+                                        workload, workload_size, job_handle);
+    }
+
+    if (ret == GEARMAN_SUCCESS)
+    {
+      result_size= strlen(job_handle);
+      buffer.realloc(result_size);
+      buffer.length(result_size);
+      memcpy(buffer.ptr(), job_handle, result_size);
+    }
+  }
+  else
+  {
+    if (options & GMAN_DO_OPTIONS_HIGH)
+    {
+      (void) gearman_client_do_high(&client, function->ptr(), unique, workload,
+                                    workload_size, &result_size, &ret);
+    }
+    else if (options & GMAN_DO_OPTIONS_LOW)
+    {
+      (void) gearman_client_do_low(&client, function->ptr(), unique, workload,
+                                   workload_size, &result_size, &ret);
+    }
+    else
+    {
+      (void) gearman_client_do(&client, function->ptr(), unique, workload,
+                               workload_size, &result_size, &ret);
+    }
+  }
+
+  if (ret != GEARMAN_SUCCESS)
+  {
+    null_value= 1;
+    return NULL;
+  }
+
+  null_value= 0;
+  return &buffer;
+}
+
+void *Item_func_gman_do::realloc(size_t size)
+{
+  buffer.realloc(size);
+  buffer.length(size);
+  return buffer.ptr();
+}

=== added file 'plugin/gearman_udf/gman_do.h'
--- plugin/gearman_udf/gman_do.h	1970-01-01 00:00:00 +0000
+++ plugin/gearman_udf/gman_do.h	2009-05-11 20:54:50 +0000
@@ -0,0 +1,93 @@
+/* Copyright (C) 2009 Sun Microsystems
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; version 2 of the License.
+
+   This program is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this program; if not, write to the Free Software
+   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA */
+
+#include <drizzled/server_includes.h>
+#include <drizzled/item/func.h>
+#include <drizzled/function/str/strfunc.h>
+
+#include <libgearman/gearman.h>
+
+class Item_func_gman_do :public Item_str_func
+{
+protected:
+  typedef enum
+  {
+    GMAN_DO_OPTIONS_NONE=       0,
+    GMAN_DO_OPTIONS_HIGH=       (1 << 0),
+    GMAN_DO_OPTIONS_LOW=        (1 << 1),
+    GMAN_DO_OPTIONS_BACKGROUND= (1 << 2),
+    GMAN_DO_OPTIONS_CLIENT=     (1 << 3)
+  } gman_do_options_t;
+
+private:
+  gman_do_options_t options;
+  gearman_client_st client;
+  String buffer;
+
+public:
+  Item_func_gman_do():
+    Item_str_func(),
+    options(GMAN_DO_OPTIONS_NONE) {}
+  Item_func_gman_do(gman_do_options_t options_arg):
+    Item_str_func(),
+    options(options_arg) {}
+  ~Item_func_gman_do();
+  void fix_length_and_dec() { max_length=10; }
+  virtual const char *func_name() const{ return "gman_do"; }
+  String *val_str(String *);
+  void *realloc(size_t size);
+};
+
+class Item_func_gman_do_high :public Item_func_gman_do
+{
+public:
+  Item_func_gman_do_high():
+    Item_func_gman_do(GMAN_DO_OPTIONS_HIGH) {}
+  const char *func_name() const{ return "gman_do_high"; }
+};
+
+class Item_func_gman_do_low :public Item_func_gman_do
+{
+public:
+  Item_func_gman_do_low():
+    Item_func_gman_do(GMAN_DO_OPTIONS_LOW) {}
+  const char *func_name() const{ return "gman_do_low"; }
+};
+
+class Item_func_gman_do_background :public Item_func_gman_do
+{
+public:
+  Item_func_gman_do_background():
+    Item_func_gman_do(GMAN_DO_OPTIONS_BACKGROUND) {}
+  const char *func_name() const{ return "gman_do_background"; }
+};
+
+class Item_func_gman_do_high_background :public Item_func_gman_do
+{
+public:
+  Item_func_gman_do_high_background():
+    Item_func_gman_do((gman_do_options_t)(GMAN_DO_OPTIONS_HIGH |
+                                          GMAN_DO_OPTIONS_BACKGROUND)) {}
+  const char *func_name() const{ return "gman_do_high_background"; }
+};
+
+class Item_func_gman_do_low_background :public Item_func_gman_do
+{
+public:
+  Item_func_gman_do_low_background():
+    Item_func_gman_do((gman_do_options_t)(GMAN_DO_OPTIONS_LOW |
+                                         GMAN_DO_OPTIONS_BACKGROUND)) {}
+  const char *func_name() const{ return "gman_do_low_background"; }
+};

=== added file 'plugin/gearman_udf/gman_servers_set.cc'
--- plugin/gearman_udf/gman_servers_set.cc	1970-01-01 00:00:00 +0000
+++ plugin/gearman_udf/gman_servers_set.cc	2009-05-11 20:54:50 +0000
@@ -0,0 +1,47 @@
+/* Copyright (C) 2009 Sun Microsystems
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; version 2 of the License.
+
+   This program is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this program; if not, write to the Free Software
+   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA */
+
+#include "gman_servers_set.h"
+#include "function_map.h"
+
+using namespace std;
+
+String *Item_func_gman_servers_set::val_str(String *str)
+{
+  String *servers;
+  String *function;
+
+  if (arg_count < 1 || arg_count > 2 || !(servers= args[0]->val_str(str)))
+  {
+    null_value= 1;
+    return NULL;
+  }
+
+  function= (arg_count == 2) ? args[1]->val_str(str) : NULL;
+
+  if (!GetFunctionMap().add(string(function == NULL ? "" : function->ptr()),
+                            string(servers->ptr())))
+  {
+    null_value= 1;
+    return NULL;
+  }
+
+  null_value= 0;
+
+  buffer.realloc(servers->length());
+  strcpy(buffer.ptr(), servers->ptr());
+  buffer.length(servers->length());
+  return &buffer;
+}

=== added file 'plugin/gearman_udf/gman_servers_set.h'
--- plugin/gearman_udf/gman_servers_set.h	1970-01-01 00:00:00 +0000
+++ plugin/gearman_udf/gman_servers_set.h	2009-05-11 20:54:50 +0000
@@ -0,0 +1,29 @@
+/* Copyright (C) 2009 Sun Microsystems
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; version 2 of the License.
+
+   This program is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this program; if not, write to the Free Software
+   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA */
+
+#include <drizzled/server_includes.h>
+#include <drizzled/item/func.h>
+#include <drizzled/function/str/strfunc.h>
+
+class Item_func_gman_servers_set :public Item_str_func
+{
+  String buffer;
+public:
+  Item_func_gman_servers_set():Item_str_func() {}
+  Item_func_gman_servers_set(Item *a):Item_str_func(a) {}
+  void fix_length_and_dec() { max_length= args[0]->max_length; }
+  const char *func_name() const{ return "gman_servers_set"; }
+  String *val_str(String *);
+};

=== added file 'plugin/gearman_udf/plugin.ac'
--- plugin/gearman_udf/plugin.ac	1970-01-01 00:00:00 +0000
+++ plugin/gearman_udf/plugin.ac	2009-05-09 16:43:18 +0000
@@ -0,0 +1,9 @@
+AC_LIB_HAVE_LINKFLAGS(gearman,,
+  [#include <libgearman/gearman.h>],
+  [
+     gearman_client_st gearman_client;
+     gearman_version();
+  ])
+AS_IF([test "x$ac_cv_libgearman" = "xno"],
+      AC_MSG_WARN([libgearman not found: not building gearman_udf plugin.]))
+DRIZZLED_PLUGIN_DEP_LIBS="${DRIZZLED_PLUGIN_DEP_LIBS} ${LTLIBGEARMAN}"

=== added file 'plugin/gearman_udf/plugin.ini'
--- plugin/gearman_udf/plugin.ini	1970-01-01 00:00:00 +0000
+++ plugin/gearman_udf/plugin.ini	2009-05-07 21:25:23 +0000
@@ -0,0 +1,9 @@
+[plugin]
+name=gearman_udf
+title=Gearman Client UDFs
+description=UDF plugin that provides a Gearman client interface
+load_by_default=yes
+headers=function_map.h gman_servers_set.h gman_do.h
+sources=gearman_udf.cc function_map.cc gman_servers_set.cc gman_do.cc
+build_conditional="x${ac_cv_libgearman}" = "xyes"
+ldflags=${LTLIBGEARMAN}

=== modified file 'plugin/logging_gearman/plugin.ac'
--- plugin/logging_gearman/plugin.ac	2009-04-26 19:29:00 +0000
+++ plugin/logging_gearman/plugin.ac	2009-05-09 16:43:18 +0000
@@ -2,6 +2,7 @@
   [#include <libgearman/gearman.h>],
   [
      gearman_client_st gearman_client;
+     gearman_version();
   ])
 AS_IF([test "x$ac_cv_libgearman" = "xno"],
       AC_MSG_WARN([libgearman not found: not building logging_gearman plugin.]))

